
Redmine - Defect #3663

Problem with subversion logentry without date nor author.

2009-07-24 00:45 - Pablo Ruiz

Status: Needs feedback Start date: 2009-07-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.8.4

Description

In certain cases (see http://svn.haxx.se/dev/archive-2005-08/0309.shtml) a subversion respository might not send an author nor date

xml elements as part of a logentry.

In such situations redmine (0.8.4) fails to read any revision below the failing one..

After a bit of debugging.. I made the following modifications to lib/redmine/scm/adapters/subversion_adapter.rb, in order to make this

work:

date = logentry.elements['date']

                msg = logentry.elements['msg']

                revisions << Revision.new({:identifier => logentry.attributes['revision'],

                              :author => (logentry.elements['author'] ? logentry.elements['author'

].text : ""),

                              :time => date ? Time.parse(date.text).localtime : nil,

                              :message => msg ? logentry.elements['msg'].text : "",

                              :paths => paths

                            })

Related issues:

Related to Redmine - Defect #18754: empty svn logentry crashes revision batch... New

History

#1 - 2013-02-06 09:43 - Daniel Felix

- Status changed from New to Needs feedback

Any news on this issue?

Is anyone able to reproduce this with current trunk?

Best regards,

Daniel

#2 - 2018-01-31 16:47 - Toshi MARUYAMA

- Related to Defect #18754: empty svn logentry crashes revision batch reading added
